<xsl:stylesheet
  version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xt="http://www.jclark.com/xt">
<xsl:output method="html"/>

<xsl:template name="cardbody">
<!-- execution context - row -->
<p align="center">
    <table border="0" width="725" align="center">
    <tr>
    <td width="148" valign="top" height="263">
    <!-- image -->
    <br/> 
    <xsl:variable name="imgpath">
      <xsl:value-of select="cell[position()=$imagecol]"/>
    </xsl:variable>
    <xsl:if test="$imgpath!=&quot;&quot;">
       <img src="{concat($respath,&quot;Images/&quot;,$imgpath)}" border="0"/>
    </xsl:if>
    </td>
    <td width="245" valign="top" height="263">
        <xsl:variable name="props"
    select="document(&quot;styles.xml&quot;)//paramgroup[@name=&quot;title&quot;]"/>
    <xsl:call-template name="apply-font-styles-using-path">
    <xsl:with-param name="path" select="$props"/>
    <xsl:with-param name="content">
        <xsl:element name="font" use-attribute-sets="title-font-style">
        <xsl:value-of select="cell[position()=$titlecol]"/> <!-- title -->
        </xsl:element>
    </xsl:with-param>
    </xsl:call-template>

    <xsl:element name="p" use-attribute-sets="author-align">
    <xsl:variable name="props"
    select="document(&quot;styles.xml&quot;)//paramgroup[@name=&quot;author&quot;]"/>
    <xsl:call-template name="apply-font-styles-using-path">
    <xsl:with-param name="path" select="$props"/>
    <xsl:with-param name="content">
        <xsl:element name="font" use-attribute-sets="author-font-style">
        <xsl:value-of select="cell[position()=$authorcol]"/>
        </xsl:element>
    </xsl:with-param>
    </xsl:call-template>
    </xsl:element> <!-- p -->

    <table border="0" width="200" vspace="10">
      <tr>
             <td width="67">   <!-- ISBN label  -->
             <br/>
             <xsl:variable name="props"
               select="document(&quot;styles.xml&quot;)//paramgroup[@name=&quot;pilab&quot;]"/>
             <xsl:call-template name="apply-font-styles-using-path">
                <xsl:with-param name="path" select="$props"/>
                <xsl:with-param name="content">
                    <xsl:element name="p" use-attribute-sets="pilab-align">
                    <xsl:element name="font" use-attribute-sets="pilab-font-style">
                    <xsl:value-of select="//colname[position()=$isbncol]"/>
                    </xsl:element>
                    </xsl:element>
                </xsl:with-param>
             </xsl:call-template>
            </td>

            <td width="133">  <!-- ISBN value  -->
             <br/>
             <xsl:variable name="props"
               select="document(&quot;styles.xml&quot;)//paramgroup[@name=&quot;pival&quot;]"/>
             <xsl:call-template name="apply-font-styles-using-path">
                <xsl:with-param name="path" select="$props"/>
                <xsl:with-param name="content">
                    <xsl:element name="p" use-attribute-sets="pival-align">
                    <xsl:element name="font" use-attribute-sets="pival-font-style">
                    <xsl:value-of select="cell[position()=$isbncol]"/>
                    </xsl:element>
                    </xsl:element>
                </xsl:with-param>
             </xsl:call-template>
            </td>
      </tr>
      <tr>
        <td width="67">
            <xsl:variable name="props"
            select="document(&quot;styles.xml&quot;)//paramgroup[@name=&quot;pilab&quot;]"/>
            <xsl:call-template name="apply-font-styles-using-path">
            <xsl:with-param name="path" select="$props"/>
            <xsl:with-param name="content">
                <xsl:element name="p" use-attribute-sets="pilab-align">
                <xsl:element name="font" use-attribute-sets="pilab-font-style">
                <xsl:value-of select="//colname[position()=$pricecol]"/>
                </xsl:element>
                </xsl:element>
            </xsl:with-param>
            </xsl:call-template>
        </td>
        <td width="133">
            <xsl:variable name="props"
            select="document(&quot;styles.xml&quot;)//paramgroup[@name=&quot;pival&quot;]"/>
            <xsl:call-template name="apply-font-styles-using-path">
            <xsl:with-param name="path" select="$props"/>
            <xsl:with-param name="content">
                <xsl:element name="p" use-attribute-sets="pival-align">
                <xsl:element name="font" use-attribute-sets="pival-font-style">
                <xsl:value-of select="cell[position()=$pricecol]"/><xsl:text> </xsl:text><xsl:value-of select="$currency"/>
                </xsl:element>
                </xsl:element>
            </xsl:with-param>
            </xsl:call-template>
        </td>
      </tr>
    </table>
    </td>
    <td width="360" height="263" valign="top"> <p align="center">
        <xsl:variable name="props"
        select="document(&quot;styles.xml&quot;)//paramgroup[@name=&quot;desclab&quot;]"/>
        <xsl:call-template name="apply-font-styles-using-path">
        <xsl:with-param name="path" select="$props"/>
        <xsl:with-param name="content">
            <xsl:element name="font" use-attribute-sets="desclab-font-style">
            <xsl:value-of select="//colname[position()=$desccol]"/>
            </xsl:element>
        </xsl:with-param>
        </xsl:call-template>
      </p>
      <p>
        <xsl:variable name="props"
        select="document(&quot;styles.xml&quot;)//paramgroup[@name=&quot;desctext&quot;]"/>
        <xsl:call-template name="apply-font-styles-using-path">
        <xsl:with-param name="path" select="$props"/>
        <xsl:with-param name="content">
            <xsl:element name="font" use-attribute-sets="desctext-font-style">
            <xsl:value-of select="cell[position()=$desccol]"/>
            </xsl:element>
        </xsl:with-param>
        </xsl:call-template>
      </p>
    </td>
  </tr>
  </table>
</p>
</xsl:template>

</xsl:stylesheet>
