<xsl:stylesheet
  version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xt="http://www.jclark.com/xt">
<xsl:output method="html"/>
<xsl:strip-space elements="*"/>

<xsl:template name="makestore">
<xt:document href="{concat($filepath, 'store.htm')}" method="html">
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
    <meta name="GENERATOR" content="E-Shop v2.0a"/>
  <title>Online shop</title>
</head>

<xsl:variable name="uframe-size"
  select="$uframe-st/param[@name=&quot;size&quot;]/@value"/>
<xsl:variable name="lframe-size"
  select="$lframe-st/param[@name=&quot;size&quot;]/@value"/>
<xsl:variable name="uframe-sizable">
  <xsl:if test="$uframe-st/param[@name=&quot;sizable&quot;]/@value = &quot;true&quot;">resize</xsl:if>
  <xsl:if test="$uframe-st/param[@name=&quot;sizable&quot;]/@value = &quot;false&quot;">noresize</xsl:if>
</xsl:variable>
<xsl:variable name="lframe-sizable">
  <xsl:if test="$lframe-st/param[@name=&quot;sizable&quot;]/@value = &quot;true&quot;">resize</xsl:if>
  <xsl:if test="$lframe-st/param[@name=&quot;sizable&quot;]/@value = &quot;false&quot;">noresize</xsl:if>
</xsl:variable>
<xsl:variable name="uframe-scrollable">
  <xsl:if test="$uframe-st/param[@name=&quot;scrollable&quot;]/@value = &quot;true&quot;">auto</xsl:if>
  <xsl:if test="$uframe-st/param[@name=&quot;scrollable&quot;]/@value = &quot;false&quot;">no</xsl:if>
</xsl:variable>
<xsl:variable name="lframe-scrollable">
  <xsl:if test="$lframe-st/param[@name=&quot;scrollable&quot;]/@value = &quot;true&quot;">auto</xsl:if>
  <xsl:if test="$lframe-st/param[@name=&quot;scrollable&quot;]/@value = &quot;false&quot;">no</xsl:if>
</xsl:variable>

<frameset rows="{$uframe-size},{$lframe-size}" border="0">
   <xsl:element name="frame">
  	<xsl:attribute name="src">catlist.htm</xsl:attribute>
	<xsl:attribute name="frameborder">0</xsl:attribute>
	<xsl:attribute name="marginheight">0</xsl:attribute>
	<xsl:attribute name="marginwidth">0</xsl:attribute>
	<xsl:attribute name="name">shop</xsl:attribute>
	<xsl:attribute name="scrolling"><xsl:value-of select="$uframe-scrollable"/></xsl:attribute>
        <xsl:if test="$uframe-st/param[@name=&quot;sizable&quot;]/@value = &quot;false&quot;">
	    <xsl:attribute name="noresize"/>
        </xsl:if>
  </xsl:element>
   <xsl:element name="frame">
	<!-- 
	<xsl:choose>
	<xsl:when test="$preview != 'yes'">
	<xsl:attribute name="src">storeinf.htm</xsl:attribute>
	</xsl:when>
	<xsl:otherwise>
    	   <xsl:attribute name="src">tcat11.htm</xsl:attribute>
	</xsl:otherwise>
	</xsl:choose>
	-->
  	   <xsl:attribute name="src">tcat11.htm</xsl:attribute>
	<xsl:attribute name="frameborder">0</xsl:attribute>
	<xsl:attribute name="name">content</xsl:attribute>
	<xsl:attribute name="marginheight">0</xsl:attribute>
	<xsl:attribute name="marginwidth">0</xsl:attribute>
	<xsl:attribute name="scrolling"><xsl:value-of select="$lframe-scrollable"/></xsl:attribute>
        <xsl:if test="$lframe-st/param[@name=&quot;sizable&quot;]/@value = &quot;false&quot;">
	    <xsl:attribute name="noresize"/>
        </xsl:if>
  </xsl:element>
</frameset>
</html>
</xt:document>
</xsl:template>

</xsl:stylesheet>