<xsl:stylesheet
  version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xt="http://www.jclark.com/xt">
<xsl:output method="html"/>
<!--<xsl:strip-space elements='*'/>-->

<xsl:include href="tabbody.xsl"/>
<xsl:include href="tabnav.xsl"/>


<xsl:template name="generate-table-pages">
  <xsl:param name="count"/>        <!-- starting row number -->
  <xsl:param name="tabnum"/>	   <!-- current table number -->
  <xsl:param name="splitcount"/>   <!-- number of rows in each table -->
  <xsl:param name="preview"/>      <!-- generate all pages or one page -->
<!-- execution context - category -->


     <xt:document href="{concat ($filepath, 'tcat', position(), $tabnum, '.htm')}" method="htm">
       <html>
         <head>
           <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
           <meta name="GENERATOR" content=""/>
           <title>Electronic shop model</title>
         </head>
       <script>
	<xsl:text disable-output-escaping="yes">
	var loaded=false;
	function netscape()
	{
	 var name = navigator.appName;

	 if(name.indexOf("Netscape") > -1) return(true);
	 else return (false);
        }
	</xsl:text>
       </script>
       <xsl:element name="body" use-attribute-sets="page-style">

       <!-- here comes the table navigation controls -->
       <xsl:call-template name="tabnavi">
          <xsl:with-param name="tabnum" select="$tabnum"/>
          <xsl:with-param name="count" select="$count"/>
          <xsl:with-param name="splitcount" select="$splitcount"/>
       </xsl:call-template>
       <!-- here ends the table navigation controls -->

       <br/>

	<xsl:call-template name="tabbody">
	  <xsl:with-param name="count"><xsl:value-of select="$count"/></xsl:with-param>        <!-- starting row number -->
	  <xsl:with-param name="splitcount"><xsl:value-of select="$splitcount"/></xsl:with-param>   <!-- number of rows in each table -->
	</xsl:call-template>

       </xsl:element>  <!--body -->
       <script src="scripts/xslcheck.js">
       <xsl:comment>Comment</xsl:comment>
       </script>
       <script src="scripts/images.js">
       <xsl:comment>Comment</xsl:comment>
       </script>
       <script>
       loaded = true;
       </script>
       </html>
     </xt:document>
  
  <xsl:if test="$preview != 'yes'">
  <xsl:if test="count(ancestor-or-self::category/row)&gt;=$count+$splitcount">
    <xsl:call-template name="generate-table-pages">
       <xsl:with-param name="count" select="$count+$splitcount"/>
       <xsl:with-param name="tabnum" select="$tabnum+1"/>
       <xsl:with-param name="splitcount" select="$splitcount"/>
    </xsl:call-template>
  </xsl:if>
  </xsl:if>
</xsl:template> <!-- end generate-table-pages -->

</xsl:stylesheet>
