<!-- Written by Afonin Evgeny -->

<xsl:stylesheet
  version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xt="http://www.jclark.com/xt" encoding="ISO-8859-1">
<xsl:output method="html"/>
<xsl:strip-space elements="*"/>

<xsl:param name="dest_path"/>
<xsl:param name="res_path"/>
<xsl:param name="preview"/>

<xsl:variable name="filepath" select="$dest_path"/>
<xsl:variable name="respath" select="$res_path"/>
<xsl:variable name="preview" select="$preview"/>

<xsl:include href="readstyl.xsl"/>
<xsl:include href="lib.xsl"/>
<xsl:include href="card.xsl"/>
<xsl:include href="tabpages.xsl"/>
<xsl:include href="linktabs.xsl"/>
<xsl:include href="tune.xsl"/>
<xsl:include href="maillist.xsl"/>
<xsl:include href="store.xsl"/>
<xsl:include href="catlist.xsl"/>
<xsl:include href="ordlist.xsl"/>
<xsl:include href="confirm.xsl"/>
<xsl:include href="mailform.xsl"/>

<xsl:variable name="tabname">table</xsl:variable>

<xsl:template match='/'>


<xsl:if test="$preview != 'yes'">
<xsl:call-template name="makeconfirm"/>
<xsl:call-template name="makeorderlist"/>
<xsl:call-template name="makemailform"/>
</xsl:if>

<xsl:call-template name="mainlinktab"/>
<xsl:call-template name="makemaillist"/>
<xsl:call-template name="makestore"/>
<xsl:call-template name="makecatlist"/>

<xsl:apply-templates/>

</xsl:template>

<xsl:template match="table">
     <p align="center">
        <xsl:apply-templates select="tbody"/>
     </p>
</xsl:template>

<xsl:template match="tbody">
   <xsl:apply-templates/>
</xsl:template>


<xsl:template match="category">

<xsl:if test="$preview = 'no' or position() = 1">
<xsl:for-each select="row">
  <xsl:if test="$preview = 'no' or position() = 1">
     <xsl:call-template name="card">
       <xsl:with-param name="preview"><xsl:value-of select="$preview"/></xsl:with-param>
       <xsl:with-param name="splitcount"><xsl:value-of select="$rowsperpage"/></xsl:with-param>
     </xsl:call-template>
  </xsl:if>
</xsl:for-each>


<xsl:call-template name="generate-table-pages">
   <xsl:with-param name="count">1</xsl:with-param>
   <xsl:with-param name="preview"><xsl:value-of select="$preview"/></xsl:with-param>
   <xsl:with-param name="splitcount"><xsl:value-of select="$rowsperpage"/></xsl:with-param>
   <xsl:with-param name="tabnum">1</xsl:with-param>
</xsl:call-template>

</xsl:if> <!-- preview -->

</xsl:template>

</xsl:stylesheet>
