<xsl:stylesheet
  version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xt="http://www.jclark.com/xt">
<xsl:output method="html"/>
<xsl:strip-space elements="*"/>

<xsl:variable name="tmp">
  <xsl:value-of select="concat ($server, '+-=')"/>
</xsl:variable>

<xsl:variable name="srv">
<xsl:choose>
	<xsl:when test="contains ($tmp, '/+-=') != true()">
		<xsl:value-of select="concat ($server, '/')"/>
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="$server"/>	
	</xsl:otherwise>
</xsl:choose>
</xsl:variable>

<xsl:template name="maketune">
<script>

var linescolor = "<xsl:value-of select="$mpcolor3"/>";
var sendmethod = "<xsl:value-of select="$sendmethod"/>";
var sendprice  = "<xsl:value-of select="$sendprice"/>";
var storemail  = "<xsl:value-of select="$semail"/>";
var serverloc  = "<xsl:value-of select="$server"/>";
var okloc      = "<xsl:value-of select="concat ($server, '/ok.htm')"/>";
</script>
</xsl:template>

<xsl:template name="startshop">
<script>

  <xsl:comment>
      if(start("parent.shop",
        <xsl:choose>
            <xsl:when test="$sendmethod='1'">
              "mailto:<xsl:value-of select="$semail"/>",
            </xsl:when>
            <xsl:when test="$sendmethod='2'">
              "http://www.jourist.de/MoneyMethod/cgi-bin/send.php3",
            </xsl:when>
            <xsl:when test="$sendmethod='3'">		
               "<xsl:value-of select="concat ($srv, 'send.php3')"/>",
            </xsl:when>
        </xsl:choose>
          "1000",
          "100",
	  "<xsl:value-of select="$currency"/>",
	  <xsl:value-of select="$rate"/>,
          "-16", <xsl:if test="string-length($sendprice) = 0">
                    0
                 </xsl:if>
		  <xsl:value-of select="$sendprice"/>, "<xsl:value-of select="$mpcolor3"/>")) {
            define("string","NO_ORDER","<CENTER><B>Es sind keine Produkte im Warenkorb</B></CENTER>");
        }
// </xsl:comment>
</script>
</xsl:template>

</xsl:stylesheet>
